{
  "accUserMode" : 2,
  "caption" : "实体卡片视图导航视图布局面板",
  "codeName" : "ViewLayoutModelRepositoryDEDataViewExpViewLayout",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ViewLayoutModelRepositoryDEDataViewExpViewLayout.json",
  "name" : "ViewLayoutModelRepositoryDEDataViewExpViewLayout",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/ModelRepository.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "DataViewExpView",
    "name" : "engine"
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "DEDataViewExpViewLayoutdataviewexpbar",
    "controlType" : "DATAVIEWEXPBAR",
    "name" : "dataviewexpbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "dataviewexpbar"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "DATAVIEWEXPBAR"
    },
    "getPSControls" : [ {
      "codeName" : "Dataviewexpbar_dataview",
      "controlType" : "DATAVIEW",
      "getCreatePSControlAction" : {
        "modelref" : true,
        "id" : "create",
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
        }
      },
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository/PSDATAVIEWS/Dataviewexpbar_dataview.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
        }
      },
      "getGetPSControlAction" : {
        "modelref" : true,
        "id" : "load",
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
        }
      },
      "groupMode" : "NONE",
      "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "数据视图处理器"
      },
      "getPSControlLogics" : [ {
        "eventNames" : "SELECTIONCHANGE",
        "logicTag" : "dataviewexpbar_dataview",
        "logicType" : "CUSTOM",
        "name" : "dataviewexpbar_selectionchange"
      }, {
        "eventNames" : "LOAD",
        "logicTag" : "dataviewexpbar_dataview",
        "logicType" : "CUSTOM",
        "name" : "dataviewexpbar_load"
      } ],
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "dataviewexpbar_dataview"
      },
      "pagingSize" : 1000,
      "getRemovePSControlAction" : {
        "modelref" : true,
        "id" : "remove",
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
        }
      },
      "getUpdatePSControlAction" : {
        "modelref" : true,
        "id" : "update",
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
        }
      },
      "hasWFDataItems" : false,
      "appendDEItems" : false,
      "enableCardEdit" : false,
      "enableCardEditGroup" : false,
      "enableCardEditOrder" : false,
      "enableCardNew" : false,
      "enableGroup" : false,
      "enablePagingBar" : false,
      "noSort" : false,
      "singleSelect" : false,
      "name" : "dataviewexpbar_dataview",
      "modelid" : "211C42BF-5297-4AE0-B2C2-ACE9B65331FB_dataviewexpbar_dataview",
      "modeltype" : "PSDEDATAVIEW"
    } ],
    "xDataControlName" : "dataviewexpbar_dataview",
    "enableCounter" : true,
    "enableSearch" : false,
    "showTitleBar" : true,
    "modelid" : "211C42BF-5297-4AE0-B2C2-ACE9B65331FB_dataviewexpbar",
    "modeltype" : "PSEXPBAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "caption" : "实体卡片视图导航视图布局面板",
    "codeName" : "DEDataViewExpViewLayoutcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "DEDataViewExpViewLayout",
  "getPSDEViewId" : "6F5AF359-CA15-4A4C-AC06-8347D73C9F6E",
  "getPSViewLayoutPanel" : {
    "codeName" : "DataViewExpViewLayout",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "实体卡片视图导航视图布局面板",
    "memo" : "卡片视图导航视图",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "page_container",
      "getPSLayout" : {
        "dir" : "row",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : 1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "contentWidth" : 300.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "page_exp",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX",
          "width" : 300,
          "widthMode" : "PX"
        },
        "getPSPanelItems" : [ {
          "caption" : "容器",
          "contentHeight" : 54.0,
          "height" : 54.0,
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "page_exp_header",
          "getPSLayout" : {
            "dir" : "row",
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "height" : 54,
            "heightMode" : "PX",
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "page_exp_header_left",
            "getPSLayout" : {
              "layout" : "FLEX"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "标题栏",
              "itemStyle" : "DEFAULT",
              "itemType" : "CTRLPOS",
              "name" : "captionbar",
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "FLEX"
              },
              "showCaption" : true
            } ]
          }, {
            "caption" : "容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "page_exp_header_right",
            "getPSLayout" : {
              "layout" : "FLEX"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "工具栏",
              "itemStyle" : "DEFAULT",
              "itemType" : "CTRLPOS",
              "name" : "toolbar",
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "FLEX"
              },
              "showCaption" : true
            } ]
          } ]
        }, {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container5",
          "getPSLayout" : {
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : 1,
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "卡片导航",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "dataviewexpbar",
            "getPSLayoutPos" : {
              "grow" : 1,
              "layout" : "FLEX"
            },
            "showCaption" : true
          } ]
        } ],
        "width" : 300.0
      }, {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "page_content",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : 1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "导航区占位",
          "itemStyle" : "DEFAULT",
          "itemType" : "RAWITEM",
          "name" : "nav_pos",
          "getPSLayoutPos" : {
            "grow" : 1,
            "layout" : "FLEX"
          },
          "getPSRawItem" : {
            "name" : "nav_pos",
            "predefinedType" : "NAV_POS"
          },
          "showCaption" : true
        } ]
      } ]
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "modelid" : "06B5197A-AE4F-4811-B809-5496AD42A3A2",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL"
  },
  "sideBarLayout" : "LEFT",
  "title" : "实体卡片视图导航视图布局面板",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEDATAVIEWEXPVIEW",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "showDataInfoBar" : true,
  "modelid" : "211C42BF-5297-4AE0-B2C2-ACE9B65331FB",
  "modeltype" : "PSAPPDEVIEW"
}